/*   
Theme Name: LCBF
Description: Lyon Cargo Bike Festival Theme
Author: Lyon Cargo Bike Festival
Version: 1.0.0
*/

@import "css/header.css";
@import "css/footer.css";
@import "css/home.css";
@import "css/election.css";
@import "css/page.css";
@import "css/simple-page.css";

body {
    height: 100%;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    color: #1b2e7c;
}

.cbf-logo {
    width: 70% !important;
}

.logo-cbf-2 {
    width: 47%;
}

a {
    color: #000;
}

.row {
    margin: 0;
}

ul {
    padding: 0;
    list-style: none;
}

h1 {
    font-size: 3em;
    color: #fff;
    font-weight: 700;
}

h3 {
    font-size: 2em;
    text-transform: uppercase;
    font-weight: 700;
}

h5 {
    font-weight: 700;
}

p {
    font-size: 1.1em;
}

.card {
    border: none;
}

.revert {
    transform: scaleX(-1);
}

/* home.php */
#home-first-part,
#presentation,
#election,
#participer,
#last-posts,
#infos-pratiques,
#partenaires-exposants,
#galleries,
.breadcrumbs {
    width: 90%;
    margin: auto;
}

/**
* Formulaires (page.php, simple-page.php)
**/

form a {
    color: #1b2e7c;
}

form input:not(#rememberme, .buttons, input[type="submit"]),
form textarea {
    border: 1px solid #aaaaaa96;
    border-radius: 10px;
    height: 45px;
}

form textarea {
    height: 10em;
}

form .req {
    color: #f83094 !important;
}

label {
    color: #1b2e7c;
    font-family: 'Montserrat'
}

input.buttons,
input[type="submit"],
input[type="submit"].qsm-btn {
    border: none !important;
    border-radius: 20px;
    padding: 0.2em 1em 0.2em !important;
    color: #ffffff;
    background-color: #f83094 !important;
}

input[type="text"],
input[type="email"],
select,
textarea,
fieldset>div {
    width: 100% !important;
}

/* Connexion, Inscription */
#wpmem_login,
#wpmem_reg {
    margin: auto;
}

.wpmem_msg {
    border: none !important;
}

#wpmem_login legend,
#wpmem_reg legend {
    display: none;
    margin: auto;
}

/* Contact Form 7 */
.ast {
    color: #f83094;
}

/**
* Flux Instagram (home.php & page.php)
**/

#sbi_load a.sbi_load_btn,
#sbi_load .sbi_follow_btn a {
    border-radius: 20px !important;
    margin-top: 3em !important;
}

#sbi_load a.sbi_load_btn .sbi_btn_text {
    color: #fff;
}

#sbi_images .sbi_photo_wrap .sbi_photo {
    opacity: 1 !important;
}

/**
* Festival presentation (home.php & simple-page.php)
**/

#presentation>div,
#election>div {
    padding-left: 0.7em;
    padding-right: 0.7em;
}

#presentation .card,
#election .card,
#partenaires-exposants .card {
    box-shadow: 0px 0px 20px #00000014;
    border-radius: 20px;
}

#presentation .wp-block-image,
#election .wp-block-image {
    margin: 0;
}

#presentation p,
#election p,
.infos-intro {
    max-width: 75%;
    margin: auto;
    display: block;
    text-align: start;
    color: #000;
    font-weight: 500;
    font-size: 16px;
}

#presentation .festival-img,
#election .festival-img {
    height: 500px;
}

#presentation .card-img-top,
#election .card-img-top,
#infos-pratiques .card-img-top {
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
}

#presentation .btn-more,
#election .btn-more {
    margin-top: 10px;
}

#presentation .btn-more a,
#election .btn-more a {
    color: #fff;
    text-decoration: none;
    padding: 0.4em 1em 0.4em;
    border-radius: 20px;
    background-color: #ffc527;
}

#presentation .festival-presentation p,
#election .festival-presentation p {
    font-size: 13px !important;
}

@media screen and (max-width:1199px) {

    #presentation h3,
    #election h3 {
        margin-top: 1em;
    }

    #presentation .card,
    #election .card {
        box-shadow: none;
    }

    #presentation .festival-img,
    #election .festival-img {
        height: 350px;
        margin-bottom: 2em;
    }
}

@media screen and (max-width:834px) {

    #presentation .card,
    #election .card {
        box-shadow: none;
    }

    #presentation .card-img-top,
    #election .card-img-top {
        border-radius: 20px;
    }
}

@media screen and (max-width:767px) {

    #presentation,
    #election {
        margin-top: 0 !important;
    }

    #presentation .btn-more,
    #election .btn-more {
        margin-left: 1.8em !important;
    }
}

#not-found p {
    color: #f83094;
    text-align: center;
}

#not-found img {
    width: 634px;
}